Security Enhanced Linux Reference Policy

# Layer: services

## Module: dnsmasq

Interfaces

### Description:

dnsmasq DNS forwarder and DHCP server

### Interfaces:

dnsmasq_admin( domain , role )

##### Summary

All of the rules required to administrate an dnsmasq environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the dnsmasq domain.

dnsmasq_delete_pid_files( domain )

##### Summary

Delete dnsmasq pid files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_domtrans( domain )

##### Summary

Execute dnsmasq server in the dnsmasq domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dnsmasq_initrc_domtrans( domain )

##### Summary

Execute the dnsmasq init script in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_kill( domain )

##### Summary

Send dnsmasq a kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_read_pid_files( domain )

##### Summary

Read dnsmasq pid files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_signal( domain )

##### Summary

Send dnsmasq a signal

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

dnsmasq_signull( domain )

##### Summary

Send dnsmasq a signull

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return